package com.memorynotfound.jsf;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.faces.lifecycle.ClientWindow;

@ManagedBean
@RequestScoped
public class WindowBean {

    public void getWindowID(){
        FacesContext facesContext = FacesContext.getCurrentInstance();
        ExternalContext externalContext = facesContext.getExternalContext();
        ClientWindow clientWindow = externalContext.getClientWindow();

        if (clientWindow != null){
            System.out.println("client window id: " + clientWindow.getId());
        } else {
            System.out.println("client window cannot be determined!");
        }
    }

    public String enableClientWindow(){
        FacesContext facesContext = FacesContext.getCurrentInstance();
        ExternalContext externalContext = facesContext.getExternalContext();
        ClientWindow clientWindow = externalContext.getClientWindow();
        clientWindow.enableClientWindowRenderMode(facesContext);
        return "index?faces-redirect=true";
    }

    public String disableClientWindow(){
        FacesContext facesContext = FacesContext.getCurrentInstance();
        ExternalContext externalContext = facesContext.getExternalContext();
        ClientWindow clientWindow = externalContext.getClientWindow();
        clientWindow.disableClientWindowRenderMode(facesContext);
        return "index?faces-redirect=true";
    }

}
